Bug 42041 - printconf-gui should call /sbin/service
Summary: printconf-gui should call /sbin/service
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-23 23:29 UTC by Pavel Roskin
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-23 23:29:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pavel Roskin 2001-05-23 23:29:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.4-ac15 i686; en-US; 0.7)
Gecko/20010316

Description of problem:
printconf-gui wrongly assumes that /sbin/service is in the PATH and calls
it just as "service" when "restart lpd" is requested.


How reproducible:
Always

Steps to Reproduce:
1.su
2./usr/sbin/printconf-gui
3.File->Restart lpd
	

Actual Results:  A window appears: "Cannot restart lpd"

Expected Results:  lpd should be restarted

Additional info:

Please don't ever assume that /sbin and /usr/sbin are in $PATH for root.
PATH is inherited from the user's environment if su is used.
Ideally, no programs running as root should ever rely on the PATH unless
it's explicitly set.

Comment 1 Crutcher Dunnavant 2001-07-30 19:44:31 UTC
wow. That was dumb of me. fixed.


Note You need to log in before you can comment on or make changes to this bug.